
!
!     quadratic interpolation subroutine , output is h
!
       SUBROUTINE quadInterpH(h1,h2,h3,alp1,alp2,alp3,h,alpgt)

       implicit none
 
       REAL::h1,h2,h3,alp1,alp2,alp3,h,alpgt
       REAL::h3m2,h3m1,a,b,c,d,dlt
!!!!DRAGAN         REAL::h3m2,h3m1,a,b,c,d,dlt
         dlt=(alp1-alp3)*(alp2-alp1)*(alp3-alp2)
         h3m2=h3-h2
         h3m1=h3-h1
         b=(h3m2*(alp3*alp3-alp1*alp1)  &
              -h3m1*(alp3*alp3-alp2*alp2))/dlt
         c=(h3m1*(alp3-alp2)-h3m2*(alp3-alp1))/dlt
         d=h1-c*alp1*alp1-b*alp1
         h=c*alpgt*alpgt+b*alpgt+d

      END SUBROUTINE quadInterpH

